<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');

require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the admin.php language file
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_forums.php';

if (file_exists(FORUM_ROOT.'extensions/pan_blog/lang/'.$forum_user['language'].'/pan_blog.php'))
	require FORUM_ROOT.'extensions/pan_blog/lang/'.$forum_user['language'].'/pan_blog.php';
else
	require FORUM_ROOT.'extensions/pan_blog/lang/English/pan_blog.php';

// Add a "default" forum
if (isset($_POST['add_cat']))
{
	$add_to_cat = isset($_POST['add_to_cat']) ? intval($_POST['add_to_cat']) : 0;
	
	$cat_name = forum_trim($_POST['cat_name']);
	$position = intval($_POST['position']);
	
	if ($cat_name == '')
		message($lang_pan_blog['Must category name']);
	
	$curl = sef_friendly($cat_name);
	
	// Make sure the category we're adding to exists
	$query = array(
		'SELECT'	=> 'COUNT(c.cat_name)',
		'FROM'		=> 'pan_blog_categories AS c',
		'WHERE'		=> 'c.cat_name=\''.$forum_db->escape($cat_name).'\''
	);
	
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	if ($forum_db->result($result) > 0)
		message($lang_pan_blog['Dubbed cat']);
	
	$query = array(
		'INSERT'	=> 'cat_name, disp_position, curl, parent',
		'INTO'		=> 'pan_blog_categories',
		'VALUES'	=> '\''.$forum_db->escape($cat_name).'\', '.$position.', \''.$forum_db->escape($curl).'\', '.$add_to_cat
	);

	$forum_db->query_build($query) or error(__FILE__, __LINE__);

	// Add flash message
	$forum_flash->add_info($lang_pan_blog['Category added']);

	redirect(forum_link($forum_url['admin_pan_blog_categories']), $lang_pan_blog['Category added']);
}

// Delete a forum
else if (isset($_GET['del_cat']))
{
	require FORUM_ROOT.'extensions/pan_blog/tpl/admin_category_delete.php';
}

// Update forum positions
else if (isset($_POST['update_positions']))
{
	$positions = array_map('intval', $_POST['position']);

	foreach ($positions as $key => $input)
	{
		if($key > 0)
		{
			$value = isset($input) ? intval($input) : 0;
			$query = array(
				'UPDATE'	=> 'pan_blog_categories',
				'SET'		=> 'disp_position='.$value,
				'WHERE'		=> 'id='.$key
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
		}
	}

	$parent = array_map('intval', $_POST['parent']);

	foreach ($parent as $p_key => $p_input)
	{
		if($p_key > 0)
		{
			$p_value = isset($p_input) ? intval($p_input) : 0;
			$query = array(
				'UPDATE'	=> 'pan_blog_categories',
				'SET'		=> 'parent='.$p_value,
				'WHERE'		=> 'id='.$p_key
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
		}
	}

	// Add flash message
	$forum_flash->add_info($lang_pan_blog['Categories updated']);

	redirect(forum_link($forum_url['admin_pan_blog_categories']), $lang_pan_blog['Categories updated']);
}

else if (isset($_GET['edit_category']))
{
	$cid = intval($_GET['edit_category']);
	if ($cid < 1)
		message($lang_common['Bad request']);

	// Fetch forum info
	$query = array(
		'SELECT'	=> 'c.id, c.cat_name, c.cat_desc, c.curl, c.parent',
		'FROM'		=> 'pan_blog_categories AS c',
		'WHERE'		=> 'c.id='.$cid
	);
	
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$cat_edit_info = $forum_db->fetch_assoc($result);

	if (is_null($cat_edit_info) || $cat_edit_info === false)
		message($lang_common['Bad request']);

	// Update group permissions for $cid
	if (isset($_POST['save']))
	{
		// Start with the cat details
		$cid = intval($_POST['cid']);
		$cat_name = forum_trim($_POST['cat_name']);
		$cat_desc = forum_linebreaks(forum_trim($_POST['cat_desc']));
		$cat_id = intval($_POST['cat_id']);
		
		if ($cat_name == '')
			message($lang_pan_blog['Must category name']);
		
		$curl = !empty($_POST['curl']) ? $_POST['curl'] : sef_friendly($cat_name);
		
		$cat_desc = ($cat_desc != '') ? '\''.$forum_db->escape($cat_desc).'\'' : 'NULL';
		$curl = ($curl != '') ? '\''.$forum_db->escape($curl).'\'' : 'NULL';

		$query = array(
			'UPDATE'	=> 'pan_blog_categories',
			'SET'		=> 'cat_name=\''.$forum_db->escape($cat_name).'\', cat_desc='.$cat_desc.', curl='.$curl.', parent='.$cat_id,
			'WHERE'		=> 'id='.$cid
		);
		
		$forum_db->query_build($query) or error(__FILE__, __LINE__);

		// Add flash message
		$forum_flash->add_info($lang_pan_blog['Categories updated']);

		redirect((forum_link($forum_url['admin_pan_blog_categories']).'?edit_category='.$cid), $lang_pan_blog['Categories updated']);
	}
	
	require FORUM_ROOT.'extensions/pan_blog/tpl/admin_category_edit.php';
	
} else {
	
	require FORUM_ROOT.'extensions/pan_blog/tpl/admin_category_list.php';
}
