<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');

require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

$action = isset($_GET['action']) ? $_GET['action'] : 0;
$id = isset($_GET['id']) ? $_GET['id'] : 0;
$p = isset($_GET['p']) ? $_GET['p'] : 1;

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (file_exists(FORUM_ROOT.'extensions/pan_blog/lang/'.$forum_user['language'].'/pan_blog.php'))
	require FORUM_ROOT.'extensions/pan_blog/lang/'.$forum_user['language'].'/pan_blog.php';
else
	require FORUM_ROOT.'extensions/pan_blog/lang/English/pan_blog.php';

$errors = array();

if (isset($_POST['update_categories']))
{
	$parent = array_map('intval', $_POST['category']);

	foreach ($parent as $key => $input)
	{
		if($key > 0)
		{
			$value = isset($input) ? intval($input) : 0;
			
			$query = array(
				'SELECT'	=> 'p.cat_id',
				'FROM'		=> 'pan_blog_pages AS p',
				'WHERE'		=> 'p.id='.$key
			);
			$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
			$cat_id_old = $forum_db->fetch_assoc($result);
			
			$query = array(
				'UPDATE'	=> 'pan_blog_pages',
				'SET'		=> 'cat_id='.$value,
				'WHERE'		=> 'id='.$key
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
			
		if($cat_id_old['cat_id'] != $value)
		{
			//
			$query = array(
				'SELECT'	=> 'COUNT(p.id)',
				'FROM'		=> 'pan_blog_pages AS p',
				'WHERE'		=> 'p.cat_id='.$cat_id_old['cat_id']
			);
			$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
			$num_pages_old = $forum_db->result($result);
			
			$query = array(
				'UPDATE'	=> 'pan_blog_categories',
				'SET'		=> 'num_pages='.$num_pages_old,
				'WHERE'		=> 'id='.$cat_id_old['cat_id']
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
			
			//
			$query = array(
				'SELECT'	=> 'COUNT(p.id)',
				'FROM'		=> 'pan_blog_pages AS p',
				'WHERE'		=> 'p.cat_id='.$value
			);
			$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
			$num_pages_new = $forum_db->result($result);
			
			$query = array(
				'UPDATE'	=> 'pan_blog_categories',
				'SET'		=> 'num_pages='.$num_pages_new,
				'WHERE'		=> 'id='.$value
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
		}
			
		}
	}

	// Add flash message
	$forum_flash->add_info($lang_pan_blog['Categories updated']);

	redirect(forum_link($forum_url['admin_pan_blog_page_list']), $lang_pan_blog['Categories updated']);
}

if (isset($_POST['add_page']) )
{
	$add_to_cat = isset($_POST['add_to_cat']) ? intval($_POST['add_to_cat']) : 1;
	$poster = $forum_user['username'];
	$req_subject = forum_trim($_POST['req_subject']);
	$req_content = forum_trim($_POST['req_content']);
	$status = isset($_POST['status']) ? intval($_POST['status']) : 0;
	
	$req_year = $_POST['req_year'];
	$req_mounth = $_POST['req_mounth'];
	$req_day = $_POST['req_day'];
	$req_hour = $_POST['req_hour'];
	$req_minute = $_POST['req_minute'];
	
	$date_time = strtotime(''.$req_year.'-'.$req_mounth.'-'.$req_day.' '.$req_hour.':'.$req_minute.':00');
	
	if($date_time > time())
		$status = 2;
	
	if ($req_subject == '' || $req_content == '')
		$errors[] = $lang_pan_blog['Fill all fields'];
	
	$req_url = !empty($_POST['req_url']) ? forum_trim($_POST['req_url']) : sef_friendly($req_subject);
	
	$query = array(
		'SELECT'	=> 'p.id',
		'FROM'		=> 'pan_blog_pages AS p',
		'WHERE'		=> 'p.url=\''.$forum_db->escape($req_url).'\' AND id!='.$id
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$dupe_url = $forum_db->result($result);
	
	if($dupe_url > 0 )
		$errors[] = $lang_pan_blog['Dupe url'];
	
	if(empty($errors))
	{
		$query = array(
			'INSERT'	=> 'poster, subject, content, posted, url, cat_id, status',
			'INTO'		=> 'pan_blog_pages',
			'VALUES'	=> '\''.$forum_db->escape($forum_user['username']).'\', \''.$forum_db->escape($req_subject).'\', \''.$forum_db->escape($req_content).'\', '.$date_time.', \''.$forum_db->escape($req_url).'\', '.$add_to_cat.', '.$status
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);
		$new_pid = $forum_db->insert_id();
		
		$query = array(
			'UPDATE'	=> 'pan_blog_categories',
			'SET'		=> 'num_pages=num_pages+1',
			'WHERE'		=> 'id='.$add_to_cat
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);
		
		$forum_flash->add_info($lang_pan_blog['Page added']);
		
		redirect(forum_link($forum_url['admin_pan_blog_page_edit'], $new_pid), $lang_pan_blog['Page added']);
	}
}

if (isset($_POST['save_page']) )
{
	$req_subject = forum_trim($_POST['req_subject']);
	$req_content = forum_trim($_POST['req_content']);
	$req_url = isset($_POST['req_url']) ? forum_trim($_POST['req_url']) : sef_friendly($req_subject);
	$add_to_cat = isset($_POST['add_to_cat']) ? intval($_POST['add_to_cat']) : 0;
	$status = isset($_POST['status']) ? intval($_POST['status']) : 0;
	
	$req_year = $_POST['req_year'];
	$req_mounth = $_POST['req_mounth'];
	$req_day = $_POST['req_day'];
	$req_hour = $_POST['req_hour'];
	$req_minute = $_POST['req_minute'];
	
	$date_time = strtotime(''.$req_year.'-'.$req_mounth.'-'.$req_day.' '.$req_hour.':'.$req_minute.':00');
	
	if ($req_subject == '' || $req_content == '')
		$errors[] = $lang_pan_blog['Fill all fields'];
	
	$req_url = !empty($_POST['req_url']) ? $_POST['req_url'] : sef_friendly($req_subject);
	
	$query = array(
		'SELECT'	=> 'p.id',
		'FROM'		=> 'pan_blog_pages AS p',
		'WHERE'		=> 'p.url=\''.$forum_db->escape($req_url).'\' AND p.id!='.$id
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$page_info = $forum_db->result($result);
	
	if($page_info > 0 )
		$errors[] = $lang_pan_blog['Dupe url'];
	
	$query = array(
		'SELECT'	=> 'p.cat_id',
		'FROM'		=> 'pan_blog_pages AS p',
		'WHERE'		=> 'p.id='.$id
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$cat_id = $forum_db->fetch_assoc($result);
	
	if(empty($errors))
	{
		$query = array(
			'UPDATE'	=> 'pan_blog_pages',
			'SET'		=> 'subject=\''.$forum_db->escape($req_subject).'\', content=\''.$forum_db->escape($req_content).'\', posted=\''.$date_time.'\', url=\''.$forum_db->escape($req_url).'\', cat_id='.$add_to_cat.', status='.$status,
			'WHERE'		=> 'id='.$id
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);
		
		if($add_to_cat != $cat_id['cat_id'])
		{
			//
			$query = array(
				'SELECT'	=> 'COUNT(p.id)',
				'FROM'		=> 'pan_blog_pages AS p',
				'WHERE'		=> 'p.cat_id='.$add_to_cat
			);
			$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
			$num_pages_new = $forum_db->result($result);
			
			$query = array(
				'UPDATE'	=> 'pan_blog_categories',
				'SET'		=> 'num_pages='.$num_pages_new,
				'WHERE'		=> 'id='.$add_to_cat
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
			
			//
			$query = array(
				'SELECT'	=> 'COUNT(p.id)',
				'FROM'		=> 'pan_blog_pages AS p',
				'WHERE'		=> 'p.cat_id='.$cat_id['cat_id']
			);
			$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
			$num_pages_old = $forum_db->result($result);
			
			$query = array(
				'UPDATE'	=> 'pan_blog_categories',
				'SET'		=> 'num_pages='.$num_pages_old,
				'WHERE'		=> 'id='.$cat_id['cat_id']
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
		}
		
		$forum_flash->add_info($lang_pan_blog['Page updated']);
		redirect(forum_link($forum_url['admin_pan_blog_page_edit'], $id), $lang_pan_blog['Page updated']);
	}
}

if (isset($_POST['delete_page']) )
{
	$query = array(
		'SELECT'	=> 'p.cat_id',
		'FROM'		=> 'pan_blog_pages AS p',
		'WHERE'		=> 'p.id='.$id
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$cat_id = $forum_db->fetch_assoc($result);
	
	$query = array(
		'DELETE'	=> 'pan_blog_pages',
		'WHERE'		=> 'id='.$id
	);
	$forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	// Count number of replies in the topic
	$query = array(
		'SELECT'	=> 'COUNT(p.id)',
		'FROM'		=> 'pan_blog_pages AS p',
		'WHERE'		=> 'p.cat_id='.$cat_id['cat_id']
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$num_pages = $forum_db->result($result);
	
	$query = array(
		'UPDATE'	=> 'pan_blog_categories',
		'SET'		=> 'num_pages='.$num_pages,
		'WHERE'		=> 'id='.$cat_id['cat_id']
	);
	$forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	$forum_flash->add_info($lang_pan_blog['Page deleted']);
	redirect(forum_link($forum_url['admin_pan_blog_page_list']), $lang_pan_blog['Page deleted']);
	
} else if (isset($_POST['delete_page_cancel']) ) {
	
	$forum_flash->add_info($lang_pan_blog['Cancel']);
	redirect(forum_link($forum_url['admin_pan_blog_page_list']), $lang_pan_blog['Cancel']);
}

if ($action == 'new')
{
	require FORUM_ROOT.'extensions/pan_blog/tpl/admin_page_new.php';
} else if ($action == 'edit') {
	require FORUM_ROOT.'extensions/pan_blog/tpl/admin_page_edit.php';
} else if ($action == 'delete') {
	require FORUM_ROOT.'extensions/pan_blog/tpl/admin_page_delete.php';
} else if ($action == 'list') {
	require FORUM_ROOT.'extensions/pan_blog/tpl/admin_page_list.php';
}

require FORUM_ROOT.'footer.php';
