<?php if(!defined('PAN_INSTALL')) die();

forum_config_add('o_pan_blog_disp_page', '10');
forum_config_add('o_pan_blog_desc_len', '100');
forum_config_add('o_pan_blog_ext', '.html');
forum_config_add('o_pan_blog_sef', 'Default');

if (!$forum_db->table_exists('pan_blog_categories'))
{
	$schema = array(
		'FIELDS'		=> array(
			'id'			=> array(
				'datatype'		=> 'SERIAL',
				'allow_null'	=> false
			),
			'cat_name'	=> array(
				'datatype'		=> 'VARCHAR(80)',
				'allow_null'	=> false,
				'default'		=> '\'Uncategorized\''
			),
			'cat_desc'	=> array(
				'datatype'		=> 'TEXT',
				'allow_null'	=> true
			),
			'curl'	=> array(
				'datatype'		=> 'VARCHAR(80)',
				'allow_null'	=> false,
				'default'		=> '\'news\''
			),
			'num_pages'	=> array(
				'datatype'		=> 'MEDIUMINT(8) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'num_comments'		=> array(
				'datatype'		=> 'MEDIUMINT(8) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'disp_position'	=> array(
				'datatype'		=> 'INT(10)',
				'allow_null'	=> false,
				'default'		=>	'0'
			),
			'parent'		=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> false,
				'default'		=>	'0'
			),
			'c_data'	=> array(
				'datatype'		=> 'TEXT',
				'allow_null'	=> true
			)
		),
		'PRIMARY KEY'	=> array('id')
	);
	
	$forum_db->create_table('pan_blog_categories', $schema);
}

if (!$forum_db->table_exists('pan_blog_pages'))
{
	$schema = array(
		'FIELDS'		=> array(
			'id'			=> array(
				'datatype'		=> 'SERIAL',
				'allow_null'	=> false
			),
			'poster'		=> array(
				'datatype'		=> 'VARCHAR(200)',
				'allow_null'	=> false,
				'default'		=> '\'\''
			),
			'subject'		=> array(
				'datatype'		=> 'VARCHAR(255)',
				'allow_null'	=> false,
				'default'		=> '\'\''
			),
			'announce'	=> array(
				'datatype'		=> 'TEXT',
				'allow_null'	=> true
			),
			'content'	=> array(
				'datatype'		=> 'TEXT',
				'allow_null'	=> true
			),
			'posted'		=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'url'				=> array(
				'datatype'		=> 'VARCHAR(100)',
				'allow_null'	=> true
			),
			'miniature'			=> array(
				'datatype'		=> 'VARCHAR(100)',
				'allow_null'	=> true
			),
			'num_views'		=> array(
				'datatype'		=> 'MEDIUMINT(8) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'num_comments'	=> array(
				'datatype'		=> 'MEDIUMINT(8) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'cat_id'		=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'status'		=> array(
				'datatype'		=> 'TINYINT(1)',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'p_data'	=> array(
				'datatype'		=> 'TEXT',
				'allow_null'	=> true
			)
		),
		'PRIMARY KEY'	=> array('id'),
	);
	
	$forum_db->create_table('pan_blog_pages', $schema);
}

if ($forum_db->table_exists('pan_blog_categories'))
{
	$query = array(
		'INSERT'	=> 'cat_name, disp_position, parent',
		'INTO'		=> 'pan_blog_categories',
		'VALUES'	=> '\''.$forum_db->escape('Uncategorized').'\', 1, 0'
	);
	$forum_db->query_build($query) or error(__FILE__, __LINE__);
}

if (!file_exists(FORUM_ROOT.'page.php'))
{
	$old_file = FORUM_ROOT.'extensions/pan_blog/page.php';
	$new_file = FORUM_ROOT.'page.php';
	copy($old_file, $new_file);
}

