<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
	
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if (!$forum_user['is_admmod'])
	message($lang_common['No permission']);

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (file_exists(FORUM_ROOT.'extensions/pan_blog/lang/'.$forum_user['language'].'/pan_blog.php'))
	require FORUM_ROOT.'extensions/pan_blog/lang/'.$forum_user['language'].'/pan_blog.php';
else
	require FORUM_ROOT.'extensions/pan_blog/lang/English/pan_blog.php';

if(isset($_POST['save_config']) )
{
	$form = array_map('trim', $_POST['form']);
	pan_update_options( $form );
	$message = $lang_pan_blog['Settings updated'];
	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['admin_pan_blog_options']), $message);
}

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_pan_blog['Blog'], forum_link($forum_url['admin_pan_blog_options'])),
	$lang_pan_blog['Options']
);

// Setup the form
$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;

define('FORUM_PAGE_SECTION', 'admin-pan-blog');
define('FORUM_PAGE', 'admin-pan-blog-options');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>

	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_pan_blog['Blog options'] ?></span></h2>
	</div>

	<div class="main-content main-frm">

		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['admin_pan_blog_options']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['admin_pan_blog_options'])) ?>" />
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_blog['disp_page'] ?></span><small></small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_blog_disp_page]" size="10" maxlength="2" value="<?php echo forum_htmlencode($forum_config['o_pan_blog_disp_page']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_blog['url_extension'] ?></span><small></small></label><br />
					<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_blog_ext]" size="10" maxlength="10" value="<?php echo forum_htmlencode($forum_config['o_pan_blog_ext']) ?>" /></span>
				</div>
			</div>
			
					<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
						<div class="sf-box select">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['url_scheme'] ?></span><small><?php echo $lang_pan_blog['url_scheme_i'] ?></small></label><br />
							<span class="fld-input"><select id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_blog_sef]">
<?php

	$url_schemes = pan_blog_get_scheme_packs();
	foreach ($url_schemes as $schema)
	{
		if ($forum_config['o_pan_blog_sef'] == $schema)
			echo "\t\t\t\t\t\t\t\t".'<option value="'.$schema.'" selected="selected">'.str_replace('_', ' ', $schema).'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t\t".'<option value="'.$schema.'">'.str_replace('_', ' ', $schema).'</option>'."\n";
	}

?>
							</select></span>
						</div>
					</div>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_config" value="<?php echo $lang_pan_blog['Update options'] ?>" /></span>
			</div>
		</form>
	</div>

<?php
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';