<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', './');
require FORUM_ROOT.'include/common.php';

$id = isset($_GET['id']) ? $_GET['id'] : 0;
$cid= isset($_GET['cid']) ? $_GET['cid'] : 0;
$p = isset($_GET['p']) ? $_GET['p'] : 1;

($hook = get_hook('page_start')) ? eval($hook) : null;

if (file_exists(FORUM_ROOT.'extensions/pan_blog/lang/'.$forum_user['language'].'/pan_blog.php'))
	require FORUM_ROOT.'extensions/pan_blog/lang/'.$forum_user['language'].'/pan_blog.php';
else
	require FORUM_ROOT.'extensions/pan_blog/lang/English/pan_blog.php';

$forum_page = array();

if ($id > 0)
{
	$query = array(
		'SELECT'	=> 'p.id, p.poster, p.subject, p.content, p.posted, p.miniature, p.num_views, p.num_comments, p.cat_id, p.status, c.id AS cid, c.cat_name',
		'FROM'		=> 'pan_blog_pages AS p',
		'JOINS'		=> array(
			array(
				'INNER JOIN'	=> 'pan_blog_categories AS c',
				'ON'			=> 'c.id=p.cat_id'
			)
		),
		'WHERE'		=> 'p.id='.$id
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$page_info = $forum_db->fetch_assoc($result);

	//Include Error Page ??????
	if(!isset($page_info))
		message($lang_common['Bad request']);

	$subject = isset($page_info['subject']) ? $page_info['subject'] : $lang_pan_blog['Error'];

	// Setup breadcrumbs
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($page_info['cat_name'], pan_blog_link($forum_url['pan_blog_view_category'], $page_info['cat_id'])),
		$subject);

	define('FORUM_ALLOW_INDEX', 1);
	define('FORUM_PAGE', 'pan-blog-view-page');
	require FORUM_ROOT.'header.php';

	// START SUBST - <!-- forum_main -->
	ob_start();

	if(isset($page_info)) {
?>
	<div class="main-head">
		<h4 class="hn"><span><?php echo $lang_pan_blog['Posted'] ?> <?php echo date('d.m.Y', $page_info['posted']) ?></span></h4>
	</div>
	
	<div class="main-content main-frm">
		<div id="rules-content" class="ct-box user-box">
			<h2 class="hn"><span><?php echo $page_info['subject'] ?></span></h2>
			<?php echo $page_info['content']."\n" ?>
		</div>
	</div>
<?php
	} else {
?>
	<div class="main-head">
		<h4 class="hn"><span><?php echo $lang_pan_blog['Error'] ?></span></h4>
	</div>
	<div class="main-content main-frm">
		<div class="ct-box" style="background:#FEFFE6 none repeat scroll 0% 0%;">
			<p><?php echo $lang_pan_blog['Page does not exist'] ?></p>
		</div>
	</div>
<?php
	}

	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->
	
}
else if ($cid > 0)
{
	$query = array(
		'SELECT'	=> 'COUNT(id)',
		'FROM'		=> 'pan_blog_pages',
		'WHERE'		=> 'cat_id='.$cid
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$num_pages = $forum_db->result($result);

	//Page Navigation
	$forum_page['num_pages'] = ceil($num_pages / $forum_config['o_pan_blog_disp_page']);
	$forum_page['page'] = (!isset($_GET['p']) || !is_numeric($_GET['p']) || $_GET['p'] <= 1 || $_GET['p'] > $forum_page['num_pages']) ? 1 : $_GET['p'];
	$forum_page['start_from'] = $forum_config['o_pan_blog_disp_page'] * ($forum_page['page'] - 1);
	$forum_page['finish_at'] = min(($forum_page['start_from'] + $forum_config['o_pan_blog_disp_page']), ($num_pages));
	
	$forum_page['page_post']['paging'] = '<p class="paging"><span class="pages">'.$lang_pan_blog['Paging'].'</span> '.paginate($forum_page['num_pages'], $forum_page['page'], $forum_url['pan_blog_view_category'], $lang_pan_blog['Paging separator'], array($cid), 1).'</p>';

	$query = array(
		'SELECT'	=> 'c.id, c.cat_name, c.num_pages',
		'FROM'		=> 'pan_blog_categories AS c',
		'WHERE'		=> 'c.id='.$cid
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$fetch_cat = $forum_db->fetch_assoc($result);

	if (!$fetch_cat)
		message($lang_common['Bad request']);

	// Setup breadcrumbs
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		$fetch_cat['cat_name']
	);

//	define('FORUM_ALLOW_INDEX', 1);
	define('FORUM_PAGE', 'pan-blog-view-category');
	require FORUM_ROOT.'header.php';

	// START SUBST - <!-- forum_main -->
	ob_start();

	$query = array(
		'SELECT'	=> 'p.id, p.poster, p.subject, p.content, p.posted, p.miniature, p.num_views, p.num_comments, p.cat_id, p.status, c.id AS cid, c.cat_name',
		'FROM'		=> 'pan_blog_pages AS p',
		'JOINS'		=> array(
			array(
				'INNER JOIN'	=> 'pan_blog_categories AS c',
				'ON'			=> 'c.id=p.cat_id'
			)
		),
		'WHERE'		=> 'c.id='.$cid,
		'LIMIT'		=> $forum_page['start_from'].', '.$forum_config['o_pan_blog_disp_page']
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

	if ($forum_db->num_rows($result) > 0)
	{
		while($page_info = $forum_db->fetch_assoc($result))
		{
?>
	<div class="main-head">
		<h4 class="hn"><span><?php echo $lang_pan_blog['Posted'] ?> <?php echo date('d.m.Y', $page_info['posted']) ?></span></h4>
	</div>
	
	<div class="main-content main-frm">
		<div id="rules-content" class="ct-box user-box">
			<h2 class="hn"><span><a href="<?php echo pan_blog_link($forum_url['pan_blog_view_page'], pan_blog_sef_friendly($page_info['id'])) ?>"><?php echo $page_info['subject'] ?></a></span></h2>
			<p><?php echo pan_blog_prune_text_length($page_info['content']) ?></p>
		</div>
	</div>
<?php
		}
	
	} else {
?>
	<div class="main-head">
		<h2 class="hn"><span><?php echo $lang_pan_blog['Empty cat'] ?></span></h2>
	</div>
	<div class="main-content main-frm">
		<div class="ct-box" style="background:#FEFFE6 none repeat scroll 0% 0%;">
			<p><?php echo $lang_pan_blog['Empty category'] ?></p>
		</div>
	</div>
<?php
	}

	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->
	
}
else
{
	$query = array(
		'SELECT'	=> 'COUNT(id)',
		'FROM'		=> 'pan_blog_pages',
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$num_pages = $forum_db->result($result);

	//Page Navigation
	$forum_page['num_pages'] = ceil($num_pages / $forum_config['o_pan_blog_disp_page']);
	$forum_page['page'] = (!isset($_GET['p']) || !is_numeric($_GET['p']) || $_GET['p'] <= 1 || $_GET['p'] > $forum_page['num_pages']) ? 1 : $_GET['p'];
	$forum_page['start_from'] = $forum_config['o_pan_blog_disp_page'] * ($forum_page['page'] - 1);
	$forum_page['finish_at'] = min(($forum_page['start_from'] + $forum_config['o_pan_blog_disp_page']), ($num_pages));

	// Generate paging/posting links
	$forum_page['page_post']['paging'] = '<p class="paging"><span class="pages">'.$lang_pan_blog['Paging'].'</span> '.paginate($forum_page['num_pages'], $forum_page['page'], $forum_url['pan_blog_view_archive'], $lang_pan_blog['Paging separator'], array($cid), 1).'</p>';

	// 1. Retrieve the pages id
	$query = array(
		'SELECT'	=> 'p.id',
		'FROM'		=> 'pan_blog_pages AS p',
		'WHERE'		=> 'p.status=1',
		'ORDER BY'	=> 'p.posted',
		'LIMIT'		=> $forum_page['start_from'].', '.$forum_config['o_pan_blog_disp_page']
	);
	($hook = get_hook('pan_blog_page_qr_get_pages_id')) ? eval($hook) : null;
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

	$pages_id = array();
	while ($row = $forum_db->fetch_assoc($result)) {
		$pages_id[] = $row['id'];
	}

	// Setup breadcrumbs
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		$lang_pan_blog['Archive pages']
	);

	define('FORUM_ALLOW_INDEX', 1);
	define('FORUM_PAGE', 'pan-blog-view-category');
	require FORUM_ROOT.'header.php';

	// START SUBST - <!-- forum_main -->
	ob_start();

	//($hook = get_hook('pan_blog_in_arch_main_output_start')) ? eval($hook) : null;
	if (!empty($pages_id))
	{
		$query = array(
			'SELECT'	=> 'p.id, p.poster, p.subject, p.content, p.posted, p.miniature, p.num_views, p.num_comments, p.cat_id, p.status, c.id AS cid, c.cat_name',
			'FROM'		=> 'pan_blog_pages AS p',
			'JOINS'		=> array(
				array(
					'INNER JOIN'	=> 'pan_blog_categories AS c',
					'ON'			=> 'c.id=p.cat_id'
				)
			),
			'WHERE'		=> 'p.id IN ('.implode(',', $pages_id).')',
		);
		($hook = get_hook('pan_blog_page_qr_get_pages')) ? eval($hook) : null;
		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
		
		while($page_info = $forum_db->fetch_assoc($result))
		{
?>
	<div class="main-head">
		<h4 class="hn"><span><?php echo $lang_pan_blog['Posted'] ?> <?php echo date('d.m.Y', $page_info['posted']) ?></span></h4>
	</div>
	
	<div class="main-content main-frm">
		<div id="rules-content" class="ct-box user-box">
			<h2 class="hn"><span><a href="<?php echo pan_blog_link($forum_url['pan_blog_view_page'], pan_blog_sef_friendly($page_info['id'])) ?>"><?php echo $page_info['subject'] ?></a></span></h2>
			<p><?php echo pan_blog_prune_text_length($page_info['content']) ?></p>
		</div>
	</div>
<?php
		}
		
	} else {
?>
	<div class="main-head">
		<h2 class="hn"><span><?php echo $lang_pan_blog['Empty cat'] ?></span></h2>
	</div>
	<div class="main-content main-frm">
		<div class="ct-box" style="background:#FEFFE6 none repeat scroll 0% 0%;">
			<p><?php echo $lang_pan_blog['Empty category'] ?></p>
		</div>
	</div>
<?php
	}

	//($hook = get_hook('pan_blog_in_arch_end')) ? eval($hook) : null;

	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->

}

($hook = get_hook('page_end')) ? eval($hook) : null;

require FORUM_ROOT.'footer.php';
