<?php if (!defined('FORUM')) die();

// Setup the form
$forum_page['fld_count'] = $forum_page['group_count'] = $forum_page['item_count'] = 0;

// Setup breadcrumbs
$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_pan_blog['Blog'], forum_link($forum_url['admin_pan_blog'])),
	$lang_pan_blog['Categories']
);

define('FORUM_PAGE_SECTION', 'admin-pan-blog');
define('FORUM_PAGE', 'admin-pan-blog-categories');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

?>
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_pan_blog['Add cat head'] ?></span></h2>
	</div>
	<div class="main-content main-frm">
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['admin_pan_blog_categories']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['admin_pan_blog_categories'])) ?>" />
			</div>

			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				<legend class="group-legend"><strong><?php echo $lang_pan_blog['Add cat legend'] ?></strong></legend>

				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="sf-box text">
						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['Cat name label'] ?></span></label><br />
						<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="cat_name" size="35" maxlength="80" required /></span>
					</div>
				</div>

				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="sf-box text">
						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['Position label'] ?></span></label><br />
						<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="position" size="3" maxlength="3" /></span>
					</div>
				</div>

			</fieldset>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="add_cat" value=" <?php echo $lang_pan_blog['Add category'] ?> " /></span>
			</div>
		</form>
	</div>

<?php


// Display all the categories and forums
$query = array(
	'SELECT'	=> 'c.id, c.cat_name, c.disp_position, c.parent',
	'FROM'		=> 'pan_blog_categories AS c',
	'ORDER BY'	=> 'c.disp_position'
);

$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
$disp_position = array();
while ($fetch_cat = $forum_db->fetch_assoc($result))
{
	$disp_position[] = $fetch_cat;
}

if (!empty($disp_position))
{
	// Reset fieldset counter
	$forum_page['set_count'] = 0;
?>
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_pan_blog['Edit cat head'] ?></span></h2>
	</div>
	<div class="main-content main-frm">
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['admin_pan_blog_categories']) ?>?action=edit">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['admin_pan_blog_categories']).'?action=edit') ?>" />
			</div>

			<div class="frm-group frm-hdgroup group<?php echo ++$forum_page['group_count'] ?>">

<?php
	$forum_page['item_count'] = 0;
	foreach ($disp_position as $cat_pos)
	{
?>

				<fieldset id="forum<?php echo $cat_pos['id'] ?>" class="mf-set set<?php echo ++$forum_page['item_count'] ?><?php echo ($forum_page['item_count'] == 1) ? ' mf-head' : ' mf-extra' ?>">
					
					<legend><span><?php printf($lang_pan_blog['Edit or delete'], '<a href="'.forum_link($forum_url['admin_pan_blog_categories']).'?edit_category='.$cat_pos['id'].'">'.$lang_pan_blog['Edit'].'</a>', '<a href="'.forum_link($forum_url['admin_pan_blog_categories']).'?del_cat='.$cat_pos['id'].'">'.$lang_pan_blog['Delete'].'</a>') ?></span></legend>
					<div class="mf-box">

						<div class="mf-field mf-field1 forum-field">
							<span class="aslabel"><?php echo $lang_pan_blog['Cat name'] ?></span>
							<strong><a href="<?php echo pan_blog_link($forum_url['pan_blog_view_category'], $cat_pos['id']) ?>" target="_blank"><?php echo forum_htmlencode($cat_pos['cat_name']) ?></a></strong>
						</div>

						<div class="mf-field">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['Position label'] ?></span></label><br />
							<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="position[<?php echo $cat_pos['id'] ?>]" size="3" maxlength="3" value="<?php echo $cat_pos['disp_position'] ?>" /></span>
						</div>

					</div>
				</fieldset>
<?php
	}
?>
			</div>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="update_positions" value="<?php echo $lang_pan_blog['Update positions'] ?>" /></span>
			</div>
		</form>
	</div>
<?php

}

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';

