<?php if (!defined('FORUM')) die();
	
	$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;
	
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
		array($lang_pan_blog['Blog'], forum_link($forum_url['admin_pan_blog'])),
		$lang_pan_blog['Edit page']
	);
	
	define('FORUM_PAGE_SECTION', 'admin-pan-blog');
	define('FORUM_PAGE', 'admin-pan-blog-new');
	require FORUM_ROOT.'header.php';
	
	// START SUBST - <!-- forum_main -->
	ob_start();
	
	$query = array(
		'SELECT'	=> 'p.id, p.poster, p.subject, p.content, p.posted, p.url, p.cat_id, p.status',
		'FROM'		=> 'pan_blog_pages AS p',
		'WHERE'		=> 'p.id='.$id
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$edit_page_info = $forum_db->fetch_assoc($result);
	
?>
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_pan_blog['Editing pages'] ?></span></h2>
	</div>
	
	<div class="main-content main-frm">
	
<?php
	// If there were any errors, show them
	if (!empty($errors))
	{
		$forum_page['errors'] = array();
		foreach ($errors as $cur_error)
			$forum_page['errors'][] = '<li class="warn"><span>'.$cur_error.'</span></li>';
?>
		<div class="ct-box error-box">
			<h2 class="warn hn"><?php echo $lang_pan_blog['Errors'] ?></h2>
			<ul class="error-list">
				<?php echo implode("\n\t\t\t\t", $forum_page['errors'])."\n" ?>
			</ul>
		</div>
<?php
	}
?>
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['admin_pan_blog_page_edit'], $edit_page_info['id']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['admin_pan_blog_page_edit'], $edit_page_info['id'])) ?>" />
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['Add to category'] ?></span></label><br />
					<span class="fld-input">
						<select id="fld<?php echo $forum_page['fld_count'] ?>" name="add_to_cat">
<?php
	$query = array(
		'SELECT'	=> 'c.id, c.cat_name',
		'FROM'		=> 'pan_blog_categories AS c',
		'ORDER BY'	=> 'c.cat_name'
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	while ($cur_id = $forum_db->fetch_assoc($result)) {
		
		if($cur_id['id'] == $edit_page_info['cat_id'])
			echo "\t\t\t\t\t\t\t".'<option value="'.$cur_id['id'].'" selected="selected">'.forum_htmlencode($cur_id['cat_name']).'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t".'<option value="'.$cur_id['id'].'">'.forum_htmlencode($cur_id['cat_name']).'</option>'."\n";
	}
?>
						</select>
					</span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text required longtext">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['Page subject'] ?></span></label><br />
					<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" type="text" name="req_subject" value="<?php echo $edit_page_info['subject'] ?>" size="<?php echo FORUM_SUBJECT_MAXIMUM_LENGTH ?>" required /></span>
				</div>
			</div>
<?php
if ($forum_config['o_sef'] != 'Default')
{
	if ($forum_config['o_sef'] == 'File_based')
		$page_url = 'page'.$edit_page_info['id'].'.html';
	else if ($forum_config['o_sef'] == 'File_based_(fancy)')
		$page_url = $edit_page_info['url'].$edit_page_info['id'].'.html';
	else
		$page_url = $edit_page_info['url'];
	
?>
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text required longtext">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['Page url'] ?></span><small><?php echo $lang_pan_blog['Full URL'] ?> <?php echo $base_url.'/'.$page_url ?></small></label><br />
					<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" type="text" name="req_url" value="<?php echo $edit_page_info['url'] ?>" size="<?php echo FORUM_SUBJECT_MAXIMUM_LENGTH ?>" /></span>
				</div>
			</div>
<?php
}
?>
			<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="txt-box textarea required">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['Page content'] ?></span></label>
<?php ($hook = get_hook('pan_blog_admin_edit_page_before_textarea')) ? eval($hook) : null; ?>
					<div class="txt-input"><span class="fld-input"><textarea id="editor1" name="req_content" rows="25" cols="95" required spellcheck="true"><?php echo $edit_page_info['content'] ?></textarea></span></div>
<?php ($hook = get_hook('pan_blog_admin_edit_page_after_textarea')) ? eval($hook) : null; ?>
				</div>
			</div>
			
			<fieldset class="frm-group frm-hdgroup group">
				<fieldset class="mf-set set<?php echo ++$forum_page['item_count'] ?>">
					<legend><span><?php echo $lang_pan_blog['Status page'] ?></span></legend>
					<div class="mf-box">
						<div class="mf-field mf-field1 text">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span></span></label><br />
							<span class="fld-input">
								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="status">
<?php
	if ($id > 0)
	{
		$query = array(
			'SELECT'	=> 'p.id, p.status',
			'FROM'		=> 'pan_blog_pages AS p',
			'WHERE'		=> 'p.id='.$id
		);
		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
		$status = $forum_db->fetch_assoc($result);
		
		if ($status['status'] == '1')
			echo "\t\t\t\t\t\t\t".'<option value="'.$status['status'].'">'.forum_htmlencode($lang_pan_blog['Activated']).'</option>'."\n";
		else if ($status['status'] == '2')
			echo "\t\t\t\t\t\t\t".'<option value="'.$status['status'].'">'.forum_htmlencode($lang_pan_blog['Planned']).'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t".'<option value="'.$status['status'].'">'.forum_htmlencode($lang_pan_blog['Draft']).'</option>'."\n";
	}
	
	echo "\t\t\t\t\t\t\t".'<option value="1">'.forum_htmlencode($lang_pan_blog['Activate']).'</option>'."\n";
	echo "\t\t\t\t\t\t\t".'<option value="2">'.forum_htmlencode($lang_pan_blog['To plan']).'</option>'."\n";
	echo "\t\t\t\t\t\t\t".'<option value="0">'.forum_htmlencode($lang_pan_blog['Draft']).'</option>'."\n";
?>
								</select>
							</span>
						</div>
			
						<div class="mf-field text">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span class="fld-label">Year / Mounth / Day</span></label><br />
							<span class="fld-input">
								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="req_year">
<?php
for ($i = 2010; $i < 2039; $i++)
{
	$years = ($i < 10) ? '0'.$i : $i;
	
	if (date("Y", $edit_page_info['posted']) == $years)
		echo "\t\t\t\t\t\t\t".'<option value="'.$years.'" selected="selected">'.$years.'</option>'."\n";
	else
		echo "\t\t\t\t\t\t\t".'<option value="'.$years.'">'.$years.'</option>'."\n";
}
?>
								</select>

								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="req_mounth">
<?php
for ($i = 1; $i < 13; $i++)
{
	$mounths = ($i < 10) ? '0'.$i : $i;

	if (date("m", $edit_page_info['posted']) == $mounths)
		echo "\t\t\t\t\t\t\t".'<option value="'.$mounths.'" selected="selected">'.$mounths.'</option>'."\n";
	else
		echo "\t\t\t\t\t\t\t".'<option value="'.$mounths.'">'.$mounths.'</option>'."\n";
}
?>
								</select>
					
								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="req_day">
<?php
for ($i = 1; $i < 32; $i++)
{
	$days = ($i < 10) ? '0'.$i : $i;
	
	if (date("d", $edit_page_info['posted']) == $days)
		echo "\t\t\t\t\t\t\t".'<option value="'.$days.'" selected="selected">'.$days.'</option>'."\n";
	else
		echo "\t\t\t\t\t\t\t".'<option value="'.$days.'">'.$days.'</option>'."\n";
}
?>
								</select>

							</span>
						</div>
						
						<div class="mf-field text">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span class="fld-label">Hour / Minute</span></label><br />
							<span class="fld-input">

								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="req_hour">
<?php
for ($i = 0; $i < 24; $i++)
{
	$hour = ($i < 10) ? '0'.$i : $i;
	
	if (date("H", $edit_page_info['posted']) == $hour)
		echo "\t\t\t\t\t\t\t".'<option value="'.$hour.'" selected="selected">'.$hour.'</option>'."\n";
	else
		echo "\t\t\t\t\t\t\t".'<option value="'.$hour.'">'.$hour.'</option>'."\n";
}
?>
								</select>

								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="req_minute">
<?php
for ($i = 0; $i < 60; $i++)
{
	$minute = ($i < 10) ? '0'.$i : $i;
	
	if (date("i", $edit_page_info['posted']) == $minute)
		echo "\t\t\t\t\t\t\t".'<option value="'.$minute.'" selected="selected">'.$minute.'</option>'."\n";
	else
		echo "\t\t\t\t\t\t\t".'<option value="'.$minute.'">'.$minute.'</option>'."\n";
}
?>
								</select>

							</span>
						</div>
						
					</div>
				</fieldset>
			</fieldset>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_page" value="<?php echo $lang_pan_blog['Save page'] ?>" /></span>
			</div>
		</form>
	</div>
	
<?php
	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->
	