<?php if (!defined('FORUM')) die();

$query = array(
	'SELECT'	=> 'COUNT(id)',
	'FROM'		=> 'pan_blog_pages',
);
$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
$num_pages = $forum_db->result($result);

//Page Navigation
$forum_page['num_pages'] = ceil($num_pages / $forum_config['o_pan_blog_disp_page']);
$forum_page['page'] = (!isset($_GET['p']) || !is_numeric($_GET['p']) || $_GET['p'] <= 1 || $_GET['p'] > $forum_page['num_pages']) ? 1 : $_GET['p'];
$forum_page['start_from'] = $forum_config['o_pan_blog_disp_page'] * ($forum_page['page'] - 1);

// Generate paging/posting links
$forum_page['page_post']['paging'] = '<p class="paging"><span class="pages">'.$lang_pan_blog['Paging'].'</span> '.paginate($forum_page['num_pages'], $forum_page['page'], $forum_url['admin_pan_blog_page_list'], $lang_pan_blog['Paging separator'], array($id), 1).'</p>';

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_pan_blog['Blog'], forum_link($forum_url['admin_pan_blog'])),
	$lang_pan_blog['All pages']
);

// Setup the form
$forum_page['fld_count'] = $forum_page['group_count'] = $forum_page['item_count'] = 0;

//View All Pages
define('FORUM_PAGE_SECTION', 'admin-pan-blog');
define('FORUM_PAGE', 'admin-pan-blog-pages');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_pan_blog['All pages'] ?></span></h2>
	</div>
	
	<div class="main-content main-frm">
<?php

if ($num_pages > 0)
{
	$query = array(
		'SELECT'	=> 'c.id, c.cat_name, c.parent',
		'FROM'		=> 'pan_blog_categories AS c',
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$disp_cats = array();
	while ($fetch_cat = $forum_db->fetch_assoc($result))
	{
		$disp_cats[] = $fetch_cat;
	}

	$query = array(
		'SELECT'	=> 'p.id, p.poster, p.subject, p.posted, p.url, p.num_views, p.cat_id, p.status',
		'FROM'		=> 'pan_blog_pages AS p',
		'ORDER BY'	=> 'p.posted',
		'LIMIT'		=> $forum_page['start_from'].', '.$forum_config['o_pan_blog_disp_page']
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
?>
		<form action="<?php echo forum_link($forum_url['admin_pan_blog_page_list']) ?>" accept-charset="utf-8" method="post" class="frm-form">
			<input type="hidden" value="<?php echo generate_form_token(forum_link($forum_url['admin_pan_blog_page_list'])) ?>" name="csrf_token" />
			<table>
				<thead>
					<tr>
						<th style="width:10%;">Date</th >
						<th style="width:50px;">Miniature</th >
						<th style="width:50%;">Subject</th >
						<th style="width:15%;">Category</th>
						<th style="width:8%;">Actions</th>
					</tr>
				</thead>
				<tbody>
<?php
	$i = isset($_GET['p']) ? $forum_user['disp_topics'] * ($forum_page['page']-1)+1 : '1';
	while ($view_page_info = $forum_db->fetch_assoc($result))
	{
?>
					<tr>
						<td><?php echo date('Y-m-d', $view_page_info['posted']) ?></td>
						<td><?php echo 'Photo' ?></td>
						<td><a href="<?php echo pan_blog_link($forum_url['pan_blog_view_page'], pan_blog_sef_friendly($view_page_info['id'])) ?>" target="_blank"><?php echo $view_page_info['subject'] ?></a></td>
						
						<td>
							<select id="fld<?php echo $forum_page['fld_count'] ?>" name="category[<?php echo $view_page_info['id'] ?>]">
<?php
		foreach($disp_cats as $all_cats)
		{
			if($view_page_info['cat_id'] == $all_cats['id'])
				echo "\t\t\t\t\t\t\t".'<option value="'.$view_page_info['cat_id'].'" selected>'.forum_htmlencode($all_cats['cat_name']).'</option>'."\n";
			else
				echo "\t\t\t\t\t\t\t".'<option value="'.$all_cats['id'].'">'.forum_htmlencode($all_cats['cat_name']).'</option>'."\n";
		}
?>
							</select>
						</td>
						
						<td>
							<a href="<?php echo forum_link($forum_url['admin_pan_blog_page_edit'], $view_page_info['id']) ?>" title="<?php echo $lang_pan_blog['Edit'] ?>"><img src="<?php echo forum_link($forum_url['ext_pan_blog']).'img/icons/edit_page.gif' ?>"/></a>
							<a href="<?php echo forum_link($forum_url['admin_pan_blog_page_delete'], $view_page_info['id']) ?>" title="<?php echo $lang_pan_blog['Delete'] ?>"><img src="<?php echo forum_link($forum_url['ext_pan_blog']).'img/icons/delete_page.gif' ?>"/></a>
						</td>
					</tr>
<?php
			$i++;
		}
?>
				</tbody>
			</table>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="update_categories" value="<?php echo $lang_pan_blog['Update categories'] ?>" /></span>
			</div>
			
		</form>
<?php
} else { 
?>
		<div class="ct-box" style="background:#FEFFE6 none repeat scroll 0% 0%;">
			<p><strong><?php echo $lang_pan_blog['No pages'] ?> <a href="<?php echo forum_link($forum_url['admin_pan_blog_page_new']) ?>"><?php echo $lang_pan_blog['Create new page'] ?></a></strong></p>
		</div>
<?php 
} 
?>
	</div>
<?php 
	
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->
