<?php if (!defined('FORUM')) die();
	
	$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;
	
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
		array($lang_pan_blog['Blog'], forum_link($forum_url['admin_pan_blog'])),
		$lang_pan_blog['New page']
	);
	
	define('FORUM_PAGE_SECTION', 'admin-pan-blog');
	define('FORUM_PAGE', 'admin-pan-blog-new');
	require FORUM_ROOT.'header.php';
	
	// START SUBST - <!-- forum_main -->
	ob_start();
?>
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_pan_blog['New page'] ?></span></h2>
	</div>
	
	<div class="main-content main-frm">
<?php
	// If there were any errors, show them
	if (!empty($errors))
	{
		$forum_page['errors'] = array();
		foreach ($errors as $cur_error)
			$forum_page['errors'][] = '<li class="warn"><span>'.$cur_error.'</span></li>';
?>
		<div class="ct-box error-box">
			<h2 class="warn hn"><?php echo $lang_pan_blog['Errors'] ?></h2>
			<ul class="error-list">
				<?php echo implode("\n\t\t\t\t", $forum_page['errors'])."\n" ?>
			</ul>
		</div>
<?php
	}
?>
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['admin_pan_blog_page_new']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['admin_pan_blog_page_new'])) ?>" />
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['Add to category'] ?></span></label><br />
					<span class="fld-input">
						<select id="fld<?php echo $forum_page['fld_count'] ?>" name="add_to_cat">
<?php

	$query = array(
		'SELECT'	=> 'c.id, c.cat_name',
		'FROM'		=> 'pan_blog_categories AS c',
		'ORDER BY'	=> 'c.cat_name'
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	while ($cur_id = $forum_db->fetch_assoc($result))
	{
		if(isset($add_to_cat) && $add_to_cat == $cur_id['id'])
			echo "\t\t\t\t\t\t\t".'<option value="'.$add_to_cat.'" selected>'.forum_htmlencode($cur_id['cat_name']).'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t".'<option value="'.$cur_id['id'].'">'.forum_htmlencode($cur_id['cat_name']).'</option>'."\n";
	}
?>
						</select>
					</span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text required longtext">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['Page subject'] ?></span></label><br />
					<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" type="text" name="req_subject" value="<?php if (isset($_POST['req_subject'])) echo forum_htmlencode($req_subject); ?>" size="<?php echo FORUM_SUBJECT_MAXIMUM_LENGTH ?>" required /></span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text required longtext">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span style="font-weight:normal;color:#afa9a9;"><?php echo $base_url.'/' ?></span><small><?php echo $lang_pan_blog['Page url'] ?></small></label><br />
					<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" type="text" name="req_url" value="<?php if (isset($req_url)) echo forum_htmlencode($req_url); ?>" size="<?php echo FORUM_SUBJECT_MAXIMUM_LENGTH ?>" /></span>
				</div>
			</div>
			
			<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="txt-box textarea required">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_pan_blog['Page content'] ?></span></label>
					<div class="txt-input">
						<span class="fld-input">
<?php ($hook = get_hook('pan_blog_admin_new_page_before_textarea')) ? eval($hook) : null; ?>
							<textarea id="editor1" name="req_content" rows="20" cols="45"><?php echo isset($_POST['req_content']) ? forum_htmlencode($req_content) : (isset($forum_page['quote']) ? forum_htmlencode($forum_page['quote']) : '') ?></textarea>
<?php ($hook = get_hook('pan_blog_admin_new_page_after_textarea')) ? eval($hook) : null; ?>
						</span>
					</div>
				</div>
			</div>
			
			<fieldset class="frm-group frm-hdgroup group">
				<fieldset class="mf-set set<?php echo ++$forum_page['item_count'] ?>">
					<legend><span><?php echo $lang_pan_blog['Status page'] ?></span></legend>
					<div class="mf-box">
						<div class="mf-field mf-field1 text">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span></span></label><br />
							<span class="fld-input">
								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="status">
<?php
	$page_status = array(
		'1' => $lang_pan_blog['Activate'],
		'2' => $lang_pan_blog['To plan'],
		'0' => $lang_pan_blog['Draft'],
	);
	
	foreach ($page_status as $st_key => $st_lang)
	{
		if(isset($status) && $status == $st_key)
			echo "\t\t\t\t\t\t\t".'<option value="'.$status.'" selected>'.$st_lang.'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t".'<option value="'.$st_key.'">'.$st_lang.'</option>'."\n";
	}
?>
								</select>
							</span>
						</div>
						
						<div class="mf-field text">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span class="fld-label">Year / Mounth / Day</span></label><br />
							<span class="fld-input">
								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="req_year">
<?php
for ($i = 2010; $i < 2039; $i++) {
	$years = ($i < 10) ? '0'.$i : $i;
	echo "\t\t\t\t\t\t\t".'<option value="'.$years.'">'.$years.'</option>'."\n";
}
?>
								</select>

								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="req_mounth">
<?php
for ($i = 1; $i < 13; $i++) {
	$mounths = ($i < 10) ? '0'.$i : $i;
	echo "\t\t\t\t\t\t\t".'<option value="'.$mounths.'">'.$mounths.'</option>'."\n";
}
?>
								</select>
								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="req_day">
<?php
for ($i = 1; $i < 32; $i++) {
	$days = ($i < 10) ? '0'.$i : $i;
	echo "\t\t\t\t\t\t\t".'<option value="'.$days.'">'.$days.'</option>'."\n";
}
?>
								</select>

							</span>
						</div>
						
						<div class="mf-field text">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span class="fld-label">Hour / Minute</span></label><br />
							<span class="fld-input">

								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="req_hour">
<?php
for ($i = 0; $i < 24; $i++) {
	$hour = ($i < 10) ? '0'.$i : $i;
	echo "\t\t\t\t\t\t\t".'<option value="'.$hour.'">'.$hour.'</option>'."\n";
}
?>
								</select>

								<select id="fld<?php echo $forum_page['fld_count'] ?>" name="req_minute">
<?php
for ($i = 0; $i < 60; $i++) {
	$minute = ($i < 10) ? '0'.$i : $i;
	echo "\t\t\t\t\t\t\t".'<option value="'.$minute.'">'.$minute.'</option>'."\n";
}
?>
								</select>

							</span>
						</div>
						
					</div>
				</fieldset>
			</fieldset>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="add_page" value="<?php echo $lang_pan_blog['Add page'] ?>" /></span>
			</div>
		</form>
	</div>
	
<?php
	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->
	